%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		_rc	%{nil}
%define		module	selenium
Summary:	Python bindings for selenium
Name:		python-%{module}
Version:	3.11.0
Release:	8
License:	BSD-like
Group:		Development/Languages/Python
Source0:	https://pypi.debian.net/selenium/%{module}-%{version}%{_rc}.tar.gz
# Source0-md5:	c565de302e12ffaf7e59c1e47b45bbef
Patch0:		x-ignore-nofocus-path.patch
Patch1:		xpi-path.patch
Patch2:		0002-Pick-debian-location-of-chromedriver-from-chromium-d.patch
URL:		http://pypi.python.org/pypi/selenium/
%if %{with python2}
BuildRequires:	python-distribute
%endif
%if %{with python3}
BuildRequires:	python3-distribute
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	unzip
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Selenium Python Client Driver is a Python language binding for
Selenium Remote Control (version 1.0 and 2.0).

Currently the remote protocol, Firefox and Chrome for Selenium 2.0 are
supported, as well as the Selenium 1.0 bindings. As work will
progresses we'll add more "native" drivers.

%package -n python3-%{module}
Summary:	Python bindings for selenium
Group:		Development/Languages/Python

%description -n python3-%{module}
Selenium Python Client Driver is a Python language binding for
Selenium Remote Control (version 1.0 and 2.0).

Currently the remote protocol, Firefox and Chrome for Selenium 2.0 are
supported, as well as the Selenium 1.0 bindings. As work will
progresses we'll add more "native" drivers.

%prep
%setup -q -n %{module}-%{version}%{_rc}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

# driver is in selenium-firefoxdriver.spec
%if %{with python2}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/%{module}/webdriver/remote/*.js
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/webdriver/firefox/amd64
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/webdriver/firefox/x86
%endif

%if %{with python3}
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/%{module}/webdriver/remote/*.js
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/%{module}/webdriver/firefox/amd64
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/%{module}/webdriver/firefox/x86
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-selenium.git;a=log;h=auto/th/python-selenium-3.11.0-8

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 573006e
- rebuild with python 3.8
- release 8 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ad5c504
- release 7 (by relup.sh)

* Wed Apr 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 89ac013
- rel 6; don't package unneded dirs/files

* Wed Apr 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6632c32
- rel 5; use chromedriver from /usr/bin

* Wed Apr 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c963db0
- rel 4; firefox addon in selenium-firefoxdriver.spec; make this noarch package

* Wed Apr 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bad90d2
- rel 4; firefox addon in selenium-firefoxdriver.spec; make this noarch package

* Wed Apr 11 2018 Jan Rękorajski <baggins@pld-linux.org> ee516b8
- don't package firefox webdriver for wrong arch
- rel 4

* Wed Apr 11 2018 Jan Rękorajski <baggins@pld-linux.org> 7aeb69a
- firefox webdriver only on x8664/ix86
- rel 3

* Tue Apr 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d63256
- rel 2; fix files on ix86

* Tue Apr 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 42aa733
- up to 3.11.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> cc692ca
- python 3.6
- release 6 (by relup.sh)

* Mon Mar 28 2016 Jan Rękorajski <baggins@pld-linux.org> 97d1ee0
- firefox extension only on supported archs

* Mon Mar 28 2016 Jan Rękorajski <baggins@pld-linux.org> 2555f34
- s/iceweasel/firefox/
- rel 5

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2492db2
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5bbf027
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3b3909a
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> addbac2
- release 3 (by relup.sh)

* Tue Aug 25 2015 Jan Rękorajski <baggins@pld-linux.org> 4a2fc60
- updated binary cleanup
- rel 2

* Mon Aug 17 2015 Elan Ruusamäe <glen@delfi.ee> e63aeb7
- add missing summary

* Sat Aug 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 98e064f
- up to 2.47.1; add python3 subpackages

